/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: ErrorCheckTest.java 1242848 2012-02-10 16:51:08Z phancock $ */

package org.apache.fop.fo.flow.table;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import org.apache.fop.fo.LoadingException;
import org.apache.fop.fo.ValidationException;

/**
 * Abstract class for testing erroneous files, checking that a ValidationException is thrown.
 */
abstract class ErrorCheckTest extends AbstractTableTest {

    protected void launchTest(String filename) throws Exception {
        try {
            setUp(filename);
            fail("Expected ValidationException to be thrown");
        } catch (LoadingException e) {
            // TODO check location
            assertTrue(e.getCause() instanceof ValidationException);
        }
    }

}
